CREATE TABLE mkt_imp_object_assoc (
    OBJECT_ASSOC_ID            NUMBER(18, 0) ,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    IMPORT_OBJECT_ID           NUMBER(18, 0) ,
    ASSOC_NAME                 VARCHAR2(2000),
    SRC_OBJECT_DETAIL_ID       NUMBER(18, 0) ,
    SRC_OBJECT_ATTR_ID         NUMBER(18, 0) ,
    TARGET_OBJECT_DETAIL_ID    NUMBER(18, 0) ,
    TARGET_OBJECT_ATTR_ID      NUMBER(18, 0) ,
    OBJECT_ASSOC_ID            NUMBER(18, 0) ,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    IMPORT_OBJECT_ID           NUMBER(18, 0) ,
    ASSOC_NAME                 VARCHAR2(2000),
    SRC_OBJECT_DETAIL_ID       NUMBER(18, 0) ,
    SRC_OBJECT_ATTR_ID         NUMBER(18, 0) ,
    TARGET_OBJECT_DETAIL_ID    NUMBER(18, 0) ,
    TARGET_OBJECT_ATTR_ID      NUMBER(18, 0) ,
    CONSTRAINT pk_mkt_imp_object_assoc PRIMARY KEY (OBJECT_ASSOC_ID, OBJECT_ASSOC_ID)
);
